package ink.wgink.module.form.pojo.dtos.onlyoffice.config;

/**
 * @ClassName: permissions
 * @Description: 权限
 * @Author: wanggeng
 * @Date: 2022/7/24 16:29
 * @Version: 1.0
 */
public class PermissionsDTO {

    private Boolean chat;
    private Boolean comment;
    private Boolean copy;
    private Boolean deleteCommentAuthorOnly;
    private Boolean download;
    private Boolean edit;
    private Boolean editCommentAuthorOnly;
    private Boolean fillForms;
    private Boolean modifyContentControl;
    private Boolean modifyFilter;
    private Boolean print;
    private Boolean protect;
    private Boolean review;

    public Boolean getChat() {
        return chat;
    }

    public void setChat(Boolean chat) {
        this.chat = chat;
    }

    public Boolean getComment() {
        return comment;
    }

    public void setComment(Boolean comment) {
        this.comment = comment;
    }

    public Boolean getCopy() {
        return copy;
    }

    public void setCopy(Boolean copy) {
        this.copy = copy;
    }

    public Boolean getDeleteCommentAuthorOnly() {
        return deleteCommentAuthorOnly;
    }

    public void setDeleteCommentAuthorOnly(Boolean deleteCommentAuthorOnly) {
        this.deleteCommentAuthorOnly = deleteCommentAuthorOnly;
    }

    public Boolean getDownload() {
        return download;
    }

    public void setDownload(Boolean download) {
        this.download = download;
    }

    public Boolean getEdit() {
        return edit;
    }

    public void setEdit(Boolean edit) {
        this.edit = edit;
    }

    public Boolean getEditCommentAuthorOnly() {
        return editCommentAuthorOnly;
    }

    public void setEditCommentAuthorOnly(Boolean editCommentAuthorOnly) {
        this.editCommentAuthorOnly = editCommentAuthorOnly;
    }

    public Boolean getFillForms() {
        return fillForms;
    }

    public void setFillForms(Boolean fillForms) {
        this.fillForms = fillForms;
    }

    public Boolean getModifyContentControl() {
        return modifyContentControl;
    }

    public void setModifyContentControl(Boolean modifyContentControl) {
        this.modifyContentControl = modifyContentControl;
    }

    public Boolean getModifyFilter() {
        return modifyFilter;
    }

    public void setModifyFilter(Boolean modifyFilter) {
        this.modifyFilter = modifyFilter;
    }

    public Boolean getPrint() {
        return print;
    }

    public void setPrint(Boolean print) {
        this.print = print;
    }

    public Boolean getProtect() {
        return protect;
    }

    public void setProtect(Boolean protect) {
        this.protect = protect;
    }

    public Boolean getReview() {
        return review;
    }

    public void setReview(Boolean review) {
        this.review = review;
    }
}
